/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service1Overload interface 
 * - a remotable Java interface which is a superset of the Service1 interface
 * - operation1 operation is overloaded
 * @author MikeEdwards
 *
 */
@Remotable
public interface Service1Overload {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );

	/**
	 * Overloaded method - same operation name, different parameter type
	 * @param input - input parameter as an int
	 * @return - output data as a String
	 */
	public String operation1( int input );

}
