/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import javax.xml.ws.Holder;

/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface ServiceWithMode
 * reference gets called when service1 operation1 is invoked
 *
 */
@Service(Service1.class)
public class Service1CallsWithModeImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public ServiceWithMode reference1 = null;

	public String operation1(String input) {
		Holder<String> param = new Holder<String>("xyz");
		String result = reference1.operation1(input, param);
		return serviceName + " operation1 invoked" + " " + result + " " +param.value;
	}

}
