/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * ServiceOneWay service interface but with the inonly1 operation missing its @OneWay annotation
 * 2 operations
 * - "inonly1" a OneWay method missing its @OneWay annotation, string input
 * - "operation1" a Request/Response method, string input, string output
 */
@Remotable
public interface ServiceOneWayMissing {
	
	/**
	 * Request/Response method for invoking testcase service
	 * @param input - input parameter as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
	/**
	 * OneWay method for invoking testcase service
	 * @param input - input parameter as a String
	 */
	//@OneWay -- should have @OneWay but deliberately suppressed
	public void inonly1( String input );

}
