/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.Service4;


/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface Service4
 * - reference gets called when service1 operation1 is invoked
 * - reference is not marked @AllowsPassByReference and the implementation checks for alteration of input parameters
 */
@Service(Service1.class)
public class service1Impl7b implements Service1 {
	
	@Property
	public String serviceName = "service1";
	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public Service4 reference1 = null;

	public String operation1(String input) {
		StringBuffer parameter = new StringBuffer( input );
		String result = reference1.operation1(parameter);
		// Check whether the input parameter to reference1 operation1 was modified during
		// operation execution...
		if( !input.equals(parameter.toString()) ) {
			return serviceName + "input parameter modified!!";
		}
		return serviceName + " operation1 invoked" + " " + result;
	}

}
