/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.JAXB.JAXB_Class1;
import org.oasisopen.sca.test.JAXB.JAXB_Class2;

/**
 * Java component implementation with
 * 1 service with interface Service1,
 * 1 reference (1..1) with interface ServiceJAXB
 * reference gets called when service1 operation1 is invoked
 *
 */
@Service(Service1.class)
public class service1JAXBCallerImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	// Reference with an implied multiplicity of (1..1) since required=true is the default
	@Reference
	public ServiceJAXB reference1 = null;

	public String operation1(String input) {
		JAXB_Class1 inputJAXB = new JAXB_Class1();
		int[] arrayData = new int[2];
		arrayData[0] = 1;
		arrayData[1] = 2;
		inputJAXB.setArrayData(arrayData);
		Float numericData = 2.71828F;
		inputJAXB.setNumericData(numericData);
		inputJAXB.setTextData("JAXB string");
		
		JAXB_Class2 outputJAXB = reference1.operation1(inputJAXB);
		
		String result = outputJAXB.getStringData() + " " +
		                outputJAXB.getDecimalData().toString() + " " +
		                outputJAXB.getDateData().getTime();
		return serviceName + " operation1 invoked" + " " + result;
	}

}
