/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import java.math.BigDecimal;
import java.util.Date;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.ServiceJAXB;
import org.oasisopen.sca.test.JAXB.JAXB_Class1;
import org.oasisopen.sca.test.JAXB.JAXB_Class2;


/**
 * Java component implementation
 * 1 service with interface ServiceJAXB
 * 0 references
 *
 * invocation of operation1 causes the implementation to read data from the supplied JAXB_Class1 parameter and
 * return data in all the fields of the returned JAXB_Class2 parameter
 *
 */
@Service(ServiceJAXB.class)
public class serviceJAXBImpl implements ServiceJAXB {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public JAXB_Class2 operation1(JAXB_Class1 input) {
		
		int[] array = input.getArrayData();
		Float number = input.getNumericData();
		String text = input.getTextData();
		
		JAXB_Class2 theResponse = new JAXB_Class2();
		
		theResponse.setDateData( new Date( 123456 ) );
		theResponse.setDecimalData( new BigDecimal( 105 ) );
		theResponse.setStringData(serviceName + " operation1 invoked: " + text + " " + number.toString() + " " + array[0]);
		return theResponse;
	}

}
