/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_10034_TestCase
 * Tests that a Java interface containing a @org.oasisopen.sca.annotation.OneWay annotation is 
 * executed in a non-blocking manner
 */
public class JCA_10034_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "JCA_10034";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_10034 request service1 operation1 invoked service2 operation1 invoked" + 
    	                           " OneWay method inonly previously called with testInvoke";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_10034
