/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_10048_TestCase
 * Tests that where a class is annotated with a @Service annotation which declares a set of services, 
 * that the implementation class implements all of the methods of all the declared service interfaces
 */
public class JCA_10048_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "JCA_10048";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "exception";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_10048", "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_10048
