/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_2008_TestCase
 * Tests that for a Java implementation class with COMPOSITE scope offering a service, 
 * used as the implementation of a component within a composite which is itself the 
 * implementation of a Domain level component, all clients of the component service 
 * appear to interact with a single instance of the implementation class
 */
public class JCA_2008_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_2008 request serviceComposite operation1 invoked " + 
    	                           "service1 operation1 invoked serviceComposite operation1 Initial " + 
    	                           "service2 operation1 invoked serviceComposite operation1 1 " + 
    	                           "service3 operation1 invoked serviceComposite operation1 2 " + 
    	                           "service4 operation1 invoked serviceComposite operation1 3";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_2008
