/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_2010_TestCase
 * Tests that where one component is a client of a service provided by a second component, 
 * both with Java implementations and which both run in the same JVM, and the service 
 * implementation methods are not marked with @AllowsPassByReference but the client reference 
 * is not marked with @AllowsPassByReference that invocations of the service use "pass by value" 
 * semantics.
 */
public class JCA_2010_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_2010 request service1 operation1 invoked service2 operation1 invoked request+1";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_2010
