/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javacaa;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for JCA_7001_TestCase
 * Tests that where a Java implementation offers a bidirectional service and has fields and setter methods 
 * annotated with @Callback, when the bidirectional service is invoked, a callback reference object is 
 * injected into those fields and setter methods which have a type which is the interface for the 
 * callback service but null is injected into fields and setter methods which have a different type.
 */
public class JCA_7001_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = this.getClass().getSimpleName().substring(0, 8);
    	config.input 		 	 = "request";
    	config.output[0] 		 = "JCA_7001 request service1 operation1 invoked " + 
    	                           "service2 operation3 invoked " + 
    	                           "service1 callback1 invoked " + 
    	                           "service1 callback1 invoked " +
    	                           "other callbacks null";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "JCA_General" + _Lang };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
} // end class Test_JCA_7001
